CMSIS-Core (Cortex-A): L2C-310 Cache Controller Functions

| CMSIS-Core (Cortex-A) Version 1.1.4 CMSIS-Core support for Cortex-A processor-based devices

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Macros | Functions
L2C-310 Cache Controller Functions
Core Peripherals

L2C-310 Cache Controller gives access to functions for level 2 cache maintenance.
Reference: Level 2 Cache Controller L2C-310 Technical Reference Manual. More...

## Data Structures
struct | L2C_310_TypeDef
| Union type to access the L2C_310 Cache Controller. More...

## Macros
#define | L2C_310 ((L2C_310_TypeDef *)L2C_310_BASE)
| L2C_310 register set access pointer. More...

## Functions
__STATIC_INLINE void | L2C_Sync (void)
| Cache Sync operation by writing CACHE_SYNC register. More...
__STATIC_INLINE int | L2C_GetID (void)
| Read cache controller cache ID from CACHE_ID register. More...
__STATIC_INLINE int | L2C_GetType (void)
| Read cache controller cache type from CACHE_TYPE register. More...
__STATIC_INLINE void | L2C_InvAllByWay (void)
| Invalidate all cache by way. More...
__STATIC_INLINE void | L2C_CleanInvAllByWay (void)
| Clean and Invalidate all cache by way. More...
__STATIC_INLINE void | L2C_Enable (void)
| Enable Level 2 Cache. More...
__STATIC_INLINE void | L2C_Disable (void)
| Disable Level 2 Cache. More...
__STATIC_INLINE void | L2C_InvPa (void *pa)
| Invalidate cache by physical address. More...
__STATIC_INLINE void | L2C_CleanPa (void *pa)
| Clean cache by physical address. More...
__STATIC_INLINE void | L2C_CleanInvPa (void *pa)
| Clean and invalidate cache by physical address. More...

## Description

## Macro Definition Documentation

#define L2C_310 ((L2C_310_TypeDef *)L2C_310_BASE)

## Function Documentation

__STATIC_INLINE void L2C_CleanInvAllByWay | ( | void |  | ) |

__STATIC_INLINE void L2C_CleanInvPa | ( | void * | pa | ) |

Parameters

  [in] | pa | Pointer to data to invalidate cache for.

__STATIC_INLINE void L2C_CleanPa | ( | void * | pa | ) |

Parameters

  [in] | pa | Pointer to data to invalidate cache for.

__STATIC_INLINE void L2C_Disable | ( | void |  | ) |

__STATIC_INLINE void L2C_Enable | ( | void |  | ) |

__STATIC_INLINE int L2C_GetID | ( | void |  | ) |

Returns
  L2C_310_TypeDef::CACHE_ID

__STATIC_INLINE int L2C_GetType | ( | void |  | ) |

Returns
  L2C_310_TypeDef::CACHE_TYPE

__STATIC_INLINE void L2C_InvAllByWay | ( | void |  | ) |

__STATIC_INLINE void L2C_InvPa | ( | void * | pa | ) |

Parameters

  [in] | pa | Pointer to data to invalidate cache for.

__STATIC_INLINE void L2C_Sync | ( | void |  | ) |